@media (max-width: 480px) {
    .service-card {
        height: auto;
        /* Höhe der Kacheln an den Inhalt anpassen */
        padding: 0px 0px;
        /* Weniger Padding, um Platz zu sparen */
        text-align: center;
        /* Text zentrieren */
    }

    .service-card h2 {
        font-size: 1.2rem;
        /* Kleinere Schriftgröße */
        padding: 10px;
        /* Zusätzlicher Abstand zum Rand */
    }

    .service-card::after {
        background-color: rgba(0, 0, 0, 0.3);
        /* Etwas weniger dunkler Overlay für bessere Lesbarkeit */
    }

    .service-text {
        margin: 0
    }

    .banner h1 {
        font-size: 2rem;
    }

    .banner p {
        font-size: 0.9rem;
    }

    .contact-button {
        padding: 8px 15px;
        font-size: 0.9rem;
    }

    .scroll-indicator {
        font-size: 1.3rem;
        bottom: 10px;
    }

    .footer-bottom {
        flex-direction: column;
        /* Elemente untereinander anordnen */
        gap: 10px;
        /* Abstand zwischen den Zeilen */
    }

    .footer-links,
    .footer-contact {
        text-align: center;
        /* Alles zentrieren */
    }
    
}

@media (max-width: 1200px) {
    .service-card {
        width: 100%;
        /* Volle Breite des Containers */
        margin: 10px 0;
        /* Vertikaler Abstand zwischen den Karten */
    }

    .banner h1 {
        font-size: 2.5rem;
    }

    .banner p {
        font-size: 1rem;
    }

    .scroll-indicator {
        font-size: 1.5rem;
        bottom: 15px;
    }

}
